Subject: Yet another recording needed
From: "Mike" <[email-masked]>
To: "Josh Bridges" <[email-masked]>
Date: Wed, 14 May 2008 18:27:19 -0400

Josh,
Sorry man I am not trying to make your life hard but I need you to have someone pull another recording.  This order (#455401) by 
Garry D. is for Albertsons Inc. in Dallas, TX and the phone number is:
214-221-7440
I am trying to get this paid by their Accounts Payable Dept (in Idaho) and they are needing to know who actually placed the order.  The name on the order did match a previous order from 2006 but that one was paid with a credit card so nothing was ever questioned before.  The person listed is a store clerk who usually do not do the ordering.  Anything you can get me on this would be great.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]